
Ruby - Bug #12314

Backport r54716, r54719 and r54750 (don't use system round(3) on AIX)

04/23/2016 05:24 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee: ReiOdaira (Rei Odaira)   

Target version:    

ruby -v: - Backport: 2.1: WONTFIX, 2.2: DONE, 2.3: DONE

Description

This is a ticket for backport management. Already fixed on trunk.

Associated revisions

Revision 6ccc9e9f95556ddb8ada02a144ec20e892215c3d - 04/24/2016 05:44 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 54716,54719,54750: [Backport #12314]

    * configure.in: don't use the system-provided round(3) on AIX.

      In AIX, round(0.49999999999999994) returns 1.0.

      Use round() in numeric.c instead.

    * configure.in: add missing -lm for AIX.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54754 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6ccc9e9f - 04/24/2016 05:44 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 54716,54719,54750: [Backport #12314]

    * configure.in: don't use the system-provided round(3) on AIX.

      In AIX, round(0.49999999999999994) returns 1.0.

      Use round() in numeric.c instead.

    * configure.in: add missing -lm for AIX.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54754 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a29386aaabd32bc4018cdec2362f8e42d829b105 - 04/26/2016 04:23 AM - U.Nakamura 

merge revision(s) 54716,54719,54750: [Backport #12314]

    * configure.in: don't use the system-provided round(3) on AIX.

      In AIX, round(0.49999999999999994) returns 1.0.

      Use round() in numeric.c instead.

    * configure.in: add missing -lm for AIX.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54771 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a29386aa - 04/26/2016 04:23 AM - U.Nakamura 

merge revision(s) 54716,54719,54750: [Backport #12314]

    * configure.in: don't use the system-provided round(3) on AIX.

      In AIX, round(0.49999999999999994) returns 1.0.

      Use round() in numeric.c instead.

    * configure.in: add missing -lm for AIX.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54771 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/24/2016 04:45 PM - nagachika (Tomoyuki Chikanaga)

- Subject changed from Backport r54716 and r54719 (don't use system round(3) on AIX) to Backport r54716, r54719 and r54750 (don't use system

round(3) on AIX)
#2 - 04/24/2016 05:44 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: WONTFIX, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: WONTFIX, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r54754 merged revision(s) 54716,54719,54750.

#3 - 04/26/2016 04:23 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: WONTFIX, 2.2: REQUIRED, 2.3: DONE to 2.1: WONTFIX, 2.2: DONE, 2.3: DONE

ruby_2_2 r54771 merged revision(s) 54716,54719,54750.
